/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.InvoiceLog;

import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record7;
import org.jooq.Row7;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class InvoiceLogRecord extends UpdatableRecordImpl<InvoiceLogRecord> implements Record7<Integer, String, String, String, Timestamp, Long, Integer> {

    private static final long serialVersionUID = 487736519;

    /**
     * Setter for <code>INVOICE_LOG.ID_INVOICE_LOG</code>.
     */
    public void setIdInvoiceLog(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.ID_INVOICE_LOG</code>.
     */
    public Integer getIdInvoiceLog() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>INVOICE_LOG.REQUEST_ID</code>.
     */
    public void setRequestId(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.REQUEST_ID</code>.
     */
    public String getRequestId() {
        return (String) get(1);
    }

    /**
     * Setter for <code>INVOICE_LOG.REQUEST_PARAMS</code>.
     */
    public void setRequestParams(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.REQUEST_PARAMS</code>.
     */
    public String getRequestParams() {
        return (String) get(2);
    }

    /**
     * Setter for <code>INVOICE_LOG.RESPONSE_PARAMS</code>.
     */
    public void setResponseParams(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.RESPONSE_PARAMS</code>.
     */
    public String getResponseParams() {
        return (String) get(3);
    }

    /**
     * Setter for <code>INVOICE_LOG.START_DATE</code>.
     */
    public void setStartDate(Timestamp value) {
        set(4, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.START_DATE</code>.
     */
    public Timestamp getStartDate() {
        return (Timestamp) get(4);
    }

    /**
     * Setter for <code>INVOICE_LOG.DURATION</code>.
     */
    public void setDuration(Long value) {
        set(5, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.DURATION</code>.
     */
    public Long getDuration() {
        return (Long) get(5);
    }

    /**
     * Setter for <code>INVOICE_LOG.ID_INVOICE</code>.
     */
    public void setIdInvoice(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>INVOICE_LOG.ID_INVOICE</code>.
     */
    public Integer getIdInvoice() {
        return (Integer) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record7 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, Timestamp, Long, Integer> fieldsRow() {
        return (Row7) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, Timestamp, Long, Integer> valuesRow() {
        return (Row7) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return InvoiceLog.INVOICE_LOG.ID_INVOICE_LOG;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return InvoiceLog.INVOICE_LOG.REQUEST_ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return InvoiceLog.INVOICE_LOG.REQUEST_PARAMS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return InvoiceLog.INVOICE_LOG.RESPONSE_PARAMS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field5() {
        return InvoiceLog.INVOICE_LOG.START_DATE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field6() {
        return InvoiceLog.INVOICE_LOG.DURATION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field7() {
        return InvoiceLog.INVOICE_LOG.ID_INVOICE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdInvoiceLog();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getRequestId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getRequestParams();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getResponseParams();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component5() {
        return getStartDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component6() {
        return getDuration();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component7() {
        return getIdInvoice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdInvoiceLog();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getRequestId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getRequestParams();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getResponseParams();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value5() {
        return getStartDate();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value6() {
        return getDuration();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value7() {
        return getIdInvoice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value1(Integer value) {
        setIdInvoiceLog(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value2(String value) {
        setRequestId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value3(String value) {
        setRequestParams(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value4(String value) {
        setResponseParams(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value5(Timestamp value) {
        setStartDate(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value6(Long value) {
        setDuration(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord value7(Integer value) {
        setIdInvoice(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public InvoiceLogRecord values(Integer value1, String value2, String value3, String value4, Timestamp value5, Long value6, Integer value7) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached InvoiceLogRecord
     */
    public InvoiceLogRecord() {
        super(InvoiceLog.INVOICE_LOG);
    }

    /**
     * Create a detached, initialised InvoiceLogRecord
     */
    public InvoiceLogRecord(Integer idInvoiceLog, String requestId, String requestParams, String responseParams, Timestamp startDate, Long duration, Integer idInvoice) {
        super(InvoiceLog.INVOICE_LOG);

        set(0, idInvoiceLog);
        set(1, requestId);
        set(2, requestParams);
        set(3, responseParams);
        set(4, startDate);
        set(5, duration);
        set(6, idInvoice);
    }
}
